Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind
Class Pedestal

    java.lang.Object
      gov.nasa.worldwind.AVListImpl
          gov.nasa.worldwind.UserFacingIcon
              gov.nasa.worldwind.Pedestal

All Implemented Interfaces:
  AVList, WWIcon, PropertyChangeListener, EventListener

    public class Pedestal

extends UserFacingIcon

Field Summary

Fields inherited from class gov.nasa.worldwind.AVListImpl
`changeSupport`

Constructor Summary
`Pedestal(String iconPath, Position iconPosition)`

Method Summary
`double` | `getScale()`
`double` | `getSpacingPixels()`
`void` | `setScale(double scale)`
`void` | `setSpacingPixels(double spacingPixels)`

Methods inherited from class gov.nasa.worldwind.UserFacingIcon
`getHighlightScale, getPath, getPosition, getSize, getToolTipFont, getToolTipText, getToolTipTextColor, isHighlighted, isShowToolTip, isVisible, setHighlighted, setHighlightScale, setPosition, setShowToolTip, setSize, setToolTipFont, setToolTipText, setToolTipTextColor, setVisible, toString`

Methods inherited from class gov.nasa.worldwind.AVListImpl
`addPropertyChangeListener, addPropertyChangeListener, copy, firePropertyChange, firePropertyChange, getStringValue, getValue, hasKey, propertyChange, removeKey, removePropertyChangeListener, removePropertyChangeListener, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Pedestal

    public Pedestal(String iconPath,
                    Position iconPosition)

Method Detail

### getScale

    public double getScale()

### getSpacingPixels

    public double getSpacingPixels()

### setScale

    public void setScale(double scale)

### setSpacingPixels

    public void setSpacingPixels(double spacingPixels)

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD